# -*- coding: utf-8 -*-
# Generated by Django 1.11.20 on 2019-08-15 09:55
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import modeldcc.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='anatomical_terms',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200)),
            ],
            options={
                'verbose_name_plural': 'anatomical terms',
            },
        ),
        migrations.CreateModel(
            name='AppliedAssay',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('appliedassay_id', models.CharField(max_length=200, null=True, verbose_name='Applied Assay ID')),
                ('date_added', models.DateTimeField(auto_now_add=True, verbose_name='Date Entered')),
                ('date_edited', models.DateTimeField(auto_now=True, verbose_name='Date Entered')),
            ],
        ),
        migrations.CreateModel(
            name='Assay',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('assay_id', models.CharField(max_length=200, verbose_name='Assay ID')),
                ('description', models.CharField(max_length=2000, verbose_name='Assay Description')),
                ('target', models.CharField(blank=True, max_length=200, verbose_name='Target')),
                ('library_prep', models.CharField(blank=True, max_length=200, null=True, verbose_name='RNA-library Preparation')),
                ('date_added', models.DateTimeField(auto_now_add=True, verbose_name='Date Entered')),
                ('date_edited', models.DateTimeField(auto_now=True, verbose_name='Date Entered')),
            ],
        ),
        migrations.CreateModel(
            name='assay_types',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200)),
            ],
            options={
                'verbose_name_plural': 'assay types',
            },
        ),
        migrations.CreateModel(
            name='BatchUploadDetails',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('errors', models.CharField(blank=True, max_length=10000, null=True)),
                ('row_type', models.CharField(blank=True, max_length=50, null=True)),
                ('series00internal_id', models.CharField(blank=True, max_length=200, null=True, verbose_name='SR Internal ID')),
                ('series00series_id', models.CharField(blank=True, max_length=200, null=True, verbose_name='SR Series ID')),
                ('series00title', models.CharField(blank=True, max_length=1000, null=True, verbose_name='SR Title')),
                ('series00series_type', models.CharField(blank=True, max_length=100, null=True, verbose_name='SR Series Type')),
                ('series00is_public', models.CharField(blank=True, max_length=100, null=True, verbose_name='SR Is Public')),
                ('series00description', models.CharField(blank=True, max_length=10000, null=True, verbose_name='SR Description')),
                ('series00publication', models.CharField(blank=True, max_length=1000, null=True, verbose_name='SR Publication')),
                ('series00sra_geo_id', models.CharField(blank=True, max_length=200, null=True, verbose_name='SR SRA/GEO ID')),
                ('biosample00internal_id', models.CharField(blank=True, max_length=200, null=True, verbose_name='BS Internal ID')),
                ('biosample00biosample_id', models.CharField(blank=True, max_length=200, null=True, verbose_name='BS Biosample ID')),
                ('biosample00biosample_type', models.CharField(blank=True, max_length=200, null=True, verbose_name='BS Biosample Type')),
                ('biosample00biosample_lab', models.CharField(blank=True, max_length=200, null=True, verbose_name='BS Lab')),
                ('biosample00genetic_background', models.CharField(blank=True, max_length=200, null=True, verbose_name='BS Genetic Background')),
                ('biosample00stage', models.CharField(blank=True, max_length=200, null=True, verbose_name='BS Stage')),
                ('biosample00controlled_by', models.CharField(blank=True, max_length=200, null=True, verbose_name='BS Controlled By')),
                ('biosample00anatomical_term', models.CharField(blank=True, max_length=200, null=True, verbose_name='BS Anatomical Term')),
                ('biosample00organism', models.CharField(blank=True, max_length=200, null=True, verbose_name='BS Organism')),
                ('biosample00treatment', models.CharField(blank=True, max_length=200, null=True, verbose_name='BS Treatment')),
                ('biosample00post_fertilization', models.CharField(blank=True, max_length=100, null=True, verbose_name='BS Hours Post Fertilization')),
                ('biosample00source', models.CharField(blank=True, max_length=200, null=True, verbose_name='BS Source')),
                ('biosample00sex', models.CharField(blank=True, max_length=200, null=True, verbose_name='BS Sex')),
                ('biosample00mutation_description', models.CharField(blank=True, max_length=1000, null=True, verbose_name='BS Mutation Description')),
                ('biosample00cell_line_type', models.CharField(blank=True, max_length=200, null=True, verbose_name='BS Cell Line Type')),
                ('biosample00description', models.CharField(blank=True, max_length=1000, null=True, verbose_name='BS Description')),
                ('biosamplereplicate00internal_id', models.CharField(blank=True, max_length=200, null=True, verbose_name='BR Internal ID')),
                ('biosamplereplicate00biosamplereplicate_id', models.CharField(blank=True, max_length=200, null=True, verbose_name='BR BiosampleReplicate ID')),
                ('assay00internal_id', models.CharField(blank=True, max_length=200, null=True, verbose_name='AS Internal ID')),
                ('assay00assay_id', models.CharField(blank=True, max_length=200, null=True, verbose_name='AS Assay ID')),
                ('assay00assay_type', models.CharField(blank=True, max_length=200, null=True, verbose_name='AS Assay Type')),
                ('assay00assay_lab', models.CharField(blank=True, max_length=200, null=True, verbose_name='AS Lab')),
                ('assay00description', models.CharField(blank=True, max_length=2000, null=True, verbose_name='AS Description')),
                ('assay00target', models.CharField(blank=True, max_length=200, null=True, verbose_name='AS Target')),
                ('assay00library_prep', models.CharField(blank=True, max_length=200, null=True, verbose_name='AS Library Preparation')),
                ('appliedassay00internal_id', models.CharField(blank=True, max_length=200, null=True, verbose_name='AA Internal ID')),
                ('appliedassay00appliedassay_id', models.CharField(blank=True, max_length=200, null=True, verbose_name='AA Appliedassay ID')),
                ('appliedassay00controlled_by', models.CharField(blank=True, max_length=200, null=True, verbose_name='AA Controlled By')),
                ('technicalreplicate00internal_id', models.CharField(blank=True, max_length=200, null=True, verbose_name='TR Internal ID')),
                ('technicalreplicate00technicalreplicate_id', models.CharField(blank=True, max_length=200, null=True, verbose_name='TR TechnicalReplicate ID')),
                ('sequencing00internal_id', models.CharField(blank=True, max_length=200, null=True, verbose_name='SQ Internal ID')),
                ('sequencing00sequencing_id', models.CharField(blank=True, max_length=200, null=True, verbose_name='SQ Sequencing ID')),
                ('sequencing00platform', models.CharField(blank=True, max_length=200, null=True, verbose_name='SQ Platform')),
                ('sequencing00sequencing_lab', models.CharField(blank=True, max_length=200, null=True, verbose_name='SQ Lab')),
                ('sequencing00instrument', models.CharField(blank=True, max_length=200, null=True, verbose_name='SQ Instrument')),
                ('sequencing00chemistry_version', models.CharField(blank=True, max_length=200, null=True, verbose_name='SQ Chemistry Version')),
                ('sequencing00paired_end', models.CharField(blank=True, max_length=200, null=True, verbose_name='SQ Paired End')),
                ('sequencing00strand_mode', models.CharField(blank=True, max_length=200, null=True, verbose_name='SQ Strand Mode')),
                ('sequencing00sequencing_date', models.CharField(blank=True, max_length=200, null=True, verbose_name='SQ Date')),
                ('sequencing00max_read_length', models.CharField(blank=True, max_length=200, null=True, verbose_name='SQ Max Read Length')),
                ('data00url', models.CharField(blank=True, max_length=1000, null=True, verbose_name='DT URL')),
                ('data00local_path', models.CharField(blank=True, max_length=1000, null=True, verbose_name='DT Local Path')),
                ('data00secondary_url', models.CharField(blank=True, max_length=1000, null=True, verbose_name='DT 2nd URL')),
                ('data00secondary_local_path', models.CharField(blank=True, max_length=1000, null=True, verbose_name='DT 2nd Local Path')),
            ],
        ),
        migrations.CreateModel(
            name='BatchUploads',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('csvFile', models.FileField(max_length=1000, upload_to=modeldcc.models.get_batch_name, verbose_name='CSV File')),
                ('isValid', models.BooleanField()),
                ('committed', models.BooleanField()),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL, verbose_name='Added by User')),
            ],
        ),
        migrations.CreateModel(
            name='Biosample',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('biosample_id', models.CharField(max_length=200, verbose_name='Biosample ID')),
                ('treatment', models.CharField(blank=True, max_length=1000, verbose_name='Treatment')),
                ('post_fertilization', models.CharField(blank=True, max_length=100, verbose_name='Hours post Fertilization')),
                ('source', models.CharField(blank=True, max_length=200, verbose_name='Biosample Source')),
                ('mutation_description', models.CharField(blank=True, max_length=1000, verbose_name='Mutation Description')),
                ('cell_line_type', models.CharField(blank=True, max_length=200, verbose_name='Cell Line Type')),
                ('description', models.TextField(blank=True, max_length=1000, verbose_name='Biosample Description')),
                ('date_added', models.DateTimeField(auto_now_add=True, verbose_name='Date Entered')),
                ('date_edited', models.DateTimeField(auto_now=True, verbose_name='Date Entered')),
                ('anatomical_term', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='modeldcc.anatomical_terms', verbose_name='Anatomical Term')),
            ],
        ),
        migrations.CreateModel(
            name='biosample_types',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200)),
            ],
            options={
                'verbose_name_plural': 'biosample types',
            },
        ),
        migrations.CreateModel(
            name='BiosampleReplicate',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('biosamplereplicate_id', models.CharField(max_length=200, verbose_name='Biosample Replicate ID')),
                ('date_added', models.DateTimeField(auto_now_add=True, verbose_name='Date Entered')),
                ('date_edited', models.DateTimeField(auto_now=True, verbose_name='Date Entered')),
                ('biosample', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='biosample_biorep', to='modeldcc.Biosample')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL, verbose_name='Added by User')),
            ],
        ),
        migrations.CreateModel(
            name='Data',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('data_id', models.CharField(max_length=200, null=True, verbose_name='Data ID')),
                ('primary_file', models.FileField(max_length=255, upload_to=modeldcc.models.get_primary_data_fn, verbose_name='Primary File')),
                ('secondary_file', models.FileField(max_length=255, null=True, upload_to=modeldcc.models.get_secondary_data_fn, verbose_name='Secondary File')),
                ('command', models.CharField(blank=True, max_length=2000, verbose_name='Command')),
                ('primary_source', models.CharField(max_length=1000, null=True, verbose_name='Primary File Source')),
                ('secondary_source', models.CharField(blank=True, max_length=1000, null=True, verbose_name='Secondary File Source')),
                ('sha1', models.CharField(max_length=40, null=True)),
                ('date_added', models.DateTimeField(auto_now_add=True, verbose_name='Date Entered')),
                ('date_edited', models.DateTimeField(auto_now=True, verbose_name='Date Entered')),
                ('derived_from', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='source_of', to='modeldcc.AppliedAssay', verbose_name='Derived from')),
                ('derived_from_data', models.ManyToManyField(blank=True, related_name='_data_derived_from_data_+', to='modeldcc.Data', verbose_name='Derived from')),
            ],
        ),
        migrations.CreateModel(
            name='developmental_stages',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200)),
            ],
            options={
                'verbose_name_plural': 'developmental stages',
            },
        ),
        migrations.CreateModel(
            name='file_types',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200)),
            ],
            options={
                'verbose_name_plural': 'file types',
            },
        ),
        migrations.CreateModel(
            name='genetic_backgrounds',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200)),
            ],
            options={
                'verbose_name_plural': 'genetic backgrounds',
            },
        ),
        migrations.CreateModel(
            name='instruments',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200)),
            ],
            options={
                'verbose_name_plural': 'instruments',
            },
        ),
        migrations.CreateModel(
            name='labs',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('lab_id', models.CharField(max_length=200, verbose_name='Lab ID')),
                ('name', models.CharField(max_length=200, verbose_name='Lab Name')),
                ('lab_pi', models.CharField(blank=True, max_length=200, null=True, verbose_name='Principal Investigator')),
                ('lab_institution', models.CharField(blank=True, max_length=200, null=True, verbose_name='Institution')),
                ('lab_country', models.CharField(blank=True, max_length=200, null=True, verbose_name='Country')),
                ('date_added', models.DateTimeField(auto_now_add=True, verbose_name='Date Entered')),
            ],
            options={
                'verbose_name_plural': 'labs',
            },
        ),
        migrations.CreateModel(
            name='mapped_genomes',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200)),
            ],
            options={
                'verbose_name_plural': 'mapped genomes',
            },
        ),
        migrations.CreateModel(
            name='organisms',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(default='Danio rerio', max_length=200)),
            ],
            options={
                'verbose_name_plural': 'organisms',
            },
        ),
        migrations.CreateModel(
            name='platforms',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200)),
            ],
            options={
                'verbose_name_plural': 'platforms',
            },
        ),
        migrations.CreateModel(
            name='Sequencing',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sequencing_id', models.CharField(max_length=200, verbose_name='Sequencing ID')),
                ('chemistry_version', models.CharField(blank=True, max_length=200, verbose_name='Chemistry Version')),
                ('paired_end', models.BooleanField(default=False, verbose_name='Paired End')),
                ('max_read_length', models.IntegerField(blank=True, null=True, verbose_name='Maximum Read Length')),
                ('sequencing_date', models.DateField(default='2000-01-01', verbose_name='Sequencing Date')),
                ('date_added', models.DateTimeField(auto_now_add=True, verbose_name='Date Entered')),
                ('date_edited', models.DateTimeField(auto_now=True, verbose_name='Date Entered')),
                ('instrument', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='modeldcc.instruments', verbose_name='Instrument')),
                ('platform', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='modeldcc.platforms', verbose_name='Platform')),
                ('sequencing_lab', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='modeldcc.labs', verbose_name='Sequencing Lab')),
            ],
        ),
        migrations.CreateModel(
            name='Series',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('series_id', models.CharField(max_length=200, verbose_name='Series ID')),
                ('title', models.CharField(max_length=1000, verbose_name='Title')),
                ('series_type', models.CharField(max_length=100, verbose_name='Series Type')),
                ('is_public', models.BooleanField(default=True, verbose_name='Is Public')),
                ('description', models.TextField(max_length=10000, verbose_name='Series Description')),
                ('publication', models.CharField(blank=True, max_length=1000, verbose_name='Publication')),
                ('sra_geo_id', models.CharField(blank=True, max_length=200, verbose_name='SRA/GEO Accession')),
                ('date_added', models.DateTimeField(auto_now_add=True, verbose_name='Date Entered')),
                ('date_edited', models.DateTimeField(auto_now=True, verbose_name='Date Entered')),
            ],
            options={
                'verbose_name_plural': 'series',
            },
        ),
        migrations.CreateModel(
            name='sexes',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200)),
            ],
            options={
                'verbose_name_plural': 'sexes',
            },
        ),
        migrations.CreateModel(
            name='statuses',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200)),
            ],
            options={
                'verbose_name_plural': 'statuses',
            },
        ),
        migrations.CreateModel(
            name='strand_modes',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200)),
            ],
            options={
                'verbose_name_plural': 'strand modes',
            },
        ),
        migrations.CreateModel(
            name='TechnicalReplicate',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('technicalreplicate_id', models.CharField(max_length=200, verbose_name='Technical Replicate ID')),
                ('date_added', models.DateTimeField(auto_now_add=True, verbose_name='Date Entered')),
                ('date_edited', models.DateTimeField(auto_now=True, verbose_name='Date Entered')),
                ('appliedassay', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='appliedassay_technicalreplicate', to='modeldcc.AppliedAssay')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL, verbose_name='Added by User')),
            ],
        ),
        migrations.CreateModel(
            name='Versions',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200)),
            ],
            options={
                'verbose_name_plural': 'versions',
            },
        ),
        migrations.AddField(
            model_name='series',
            name='status',
            field=models.ForeignKey(default=0, on_delete=django.db.models.deletion.CASCADE, to='modeldcc.statuses', verbose_name='Status'),
        ),
        migrations.AddField(
            model_name='series',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL, verbose_name='Added by User'),
        ),
        migrations.AddField(
            model_name='sequencing',
            name='strand_mode',
            field=models.ForeignKey(blank=True, max_length=200, null=True, on_delete=django.db.models.deletion.CASCADE, to='modeldcc.strand_modes', verbose_name='Strand'),
        ),
        migrations.AddField(
            model_name='sequencing',
            name='technicalreplicate',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='sequenced_by', to='modeldcc.TechnicalReplicate', verbose_name='Technical Replicate'),
        ),
        migrations.AddField(
            model_name='sequencing',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL, verbose_name='Added by User'),
        ),
        migrations.AddField(
            model_name='data',
            name='file_type',
            field=models.ForeignKey(default=0, on_delete=django.db.models.deletion.CASCADE, to='modeldcc.file_types', verbose_name='File Type'),
        ),
        migrations.AddField(
            model_name='data',
            name='mapped_genome',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='modeldcc.mapped_genomes', verbose_name='Mapped Genome'),
        ),
        migrations.AddField(
            model_name='data',
            name='sequencing',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='sequencing_data', to='modeldcc.Sequencing', verbose_name='Sequencing'),
        ),
        migrations.AddField(
            model_name='data',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL, verbose_name='Added by User'),
        ),
        migrations.AddField(
            model_name='data',
            name='version',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='modeldcc.Versions', verbose_name='Version/Release'),
        ),
        migrations.AddField(
            model_name='biosample',
            name='biosample_lab',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='modeldcc.labs', verbose_name='Biosample Lab'),
        ),
        migrations.AddField(
            model_name='biosample',
            name='biosample_type',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='modeldcc.biosample_types', verbose_name='Biosample Type'),
        ),
        migrations.AddField(
            model_name='biosample',
            name='controlled_by',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='control_for', to='modeldcc.Biosample', verbose_name='Controlled by'),
        ),
        migrations.AddField(
            model_name='biosample',
            name='genetic_background',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='modeldcc.genetic_backgrounds', verbose_name='Genetic Background'),
        ),
        migrations.AddField(
            model_name='biosample',
            name='organism',
            field=models.ForeignKey(default='1', on_delete=django.db.models.deletion.CASCADE, to='modeldcc.organisms'),
        ),
        migrations.AddField(
            model_name='biosample',
            name='series',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='series_biosample', to='modeldcc.Series', verbose_name='Series'),
        ),
        migrations.AddField(
            model_name='biosample',
            name='sex',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='modeldcc.sexes', verbose_name='Sex'),
        ),
        migrations.AddField(
            model_name='biosample',
            name='stage',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='modeldcc.developmental_stages', verbose_name='Stage'),
        ),
        migrations.AddField(
            model_name='biosample',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL, verbose_name='Added by User'),
        ),
        migrations.AddField(
            model_name='batchuploaddetails',
            name='batchUpload',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='modeldcc.BatchUploads'),
        ),
        migrations.AddField(
            model_name='assay',
            name='assay_lab',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='modeldcc.labs', verbose_name='Assay Lab'),
        ),
        migrations.AddField(
            model_name='assay',
            name='assay_type',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='modeldcc.assay_types', verbose_name='Assay Type'),
        ),
        migrations.AddField(
            model_name='assay',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL, verbose_name='Added by User'),
        ),
        migrations.AddField(
            model_name='appliedassay',
            name='assay',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='assay_appliedassay', to='modeldcc.Assay', verbose_name='Assay'),
        ),
        migrations.AddField(
            model_name='appliedassay',
            name='biosamplereplicate',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='biorep_appliedassay', to='modeldcc.BiosampleReplicate', verbose_name='Biosample Replicate'),
        ),
        migrations.AddField(
            model_name='appliedassay',
            name='controlled_by',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='control_for', to='modeldcc.AppliedAssay', verbose_name='Controlled By'),
        ),
        migrations.AddField(
            model_name='appliedassay',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL, verbose_name='Added by User'),
        ),
    ]
